[PACKAGE]: ../../raw/master/mkp/checkpoint_securexl-0.2.0-20230529.mkp "checkpoint_securexl-0.2.0-20230529.mkp"
# SecureXL

Monitors status of Check Point SecureXL

**Note**: check was renamed from *checkpoint_sxl_status* to *checkpoint_securexl*

---
### Check Info

* *service*: this check will create one service per Check Point gateway
* *state*: **warning** if fwSXLStatus is not '1' (SXL enabled)
* *wato*: none
* *perfdata*: 
    * connections active (count)
    * connections_added (/s)
    * connections_deleted (/s)

---
### Download

* [Download latest mkp file][PACKAGE]

**Note**: before you update to a newer version, always check the [CHANGELOG](CHANGELOG). There might be incompatible changes.

---                   
### Installation

You can install the package by uploading it to your CheckMK site and as site user run 
```
mkp install PACKAGENAME-VERSION.mkp
```
or beginning with CMK2.2.x
```
mkp add PACKAGENAME-VERSION.mkp
mkp enable PACKAGENAME VERSION
```
In the non RAW editions of CheckMK you can use the GUI to install the package (_Setup_ -> _Extension Packages_ -> _Upload package_)

---
### Want to contribute?

Nice ;-) Have a look at the [contribution guidelines](CONTRIBUTING.md "Contributing")

---
### Sample output

![sample output](img/sample.png?raw=true "sample output")

